View Bug Details

IDProjectCategoryView StatusLast Update
0000976DCP-o-matic[All Projects] Bugspublic2018-02-01 21:59
ReportercarlAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2.12.0Fixed in Version 
Summary0000976: Various 3D problems
Description

3d-alternate with a randomly-selected mp4 file seems to give -114 and do things pretty much wrong; possibly fixed by

diff --git a/src/lib/reel_writer.cc b/src/lib/reel_writer.cc
index 398c9c6..8d96b4a 100644
--- a/src/lib/reel_writer.cc
+++ b/src/lib/reel_writer.cc
@@ -263,15 +264,17 @@ VideoDecoder::give (shared_ptr<const ImageProxy> image, Frame frame)
to_push.push_back (ContentVideo (image, VideoFrame (frame, EYES_BOTH), PART_WHOLE));
break;
case VIDEO_FRAME_TYPE_3D:

  • case VIDEO_FRAME_TYPE_3D_ALTERNATE:
    {
  • /* We receive the same frame index twice for 3D-alternate; hence we know which
  • / We receive the same frame index twice for 3D; hence we know which
    frame this one is.
    /
    bool const same = (!_decoded.empty() && frame == _decoded.back().frame.index());
    to_push.push_back (ContentVideo (image, VideoFrame (frame, same ? EYES_RIGHT : EYES_LEFT), PART_WHOLE));
    break;
    }
  • case VIDEO_FRAME_TYPE_3D_ALTERNATE:
  • to_push.push_back (ContentVideo (image, VideoFrame (frame / 2, (frame % 2) ? EYES_RIGHT : EYES_LEFT), PART_WHOLE));
  • break;
    case VIDEO_FRAME_TYPE_3D_LEFT_RIGHT:
    to_push.push_back (ContentVideo (image, VideoFrame (frame, EYES_LEFT), PART_LEFT_HALF));
    to_push.push_back (ContentVideo (image, VideoFrame (frame, EYES_RIGHT), PART_RIGHT_HALF));

Also reports of -114 with 3d-left-right.

TagsNo tags attached.
Estimated work requiredUnknown

Activities

carl

2016-10-19 22:53

administrator   ~0001478

3d-alternate should be fixed by 8c2d83b42b14b52310fdd8b7709d961e4e48aac5

carl

2016-10-24 21:20

administrator   ~0001481

3D alternate is better now but I think in this mode the content should report half the frame rate, which may remove the need for the substance of cda282e5b21e52c022f52c8ba591d478fe8c21e8

Such stuff is quite niche but probably quite invasive so best left until after 2.10.0.

carl

2017-09-02 18:20

administrator   ~0001801

3D separate L/R not working says Thierry.

carl

2018-01-16 21:18

administrator   ~0002015

3d separate L/R should be fixed by 1aad2c33896ce6222f3c929c7af7fe4ff5fda0f2

carl

2018-02-01 21:59

administrator   ~0002045

Think this is all fixed; will await more specific bug reports.

Bug History

Date Modified Username Field Change
2016-10-19 20:58 carl New Bug
2016-10-19 22:53 carl Note Added: 0001478
2016-10-24 21:20 carl Note Added: 0001481
2016-10-24 21:21 carl Status new => acknowledged
2016-10-24 21:21 carl Target Version 2.10.0 => 2.11.0
2017-04-21 09:52 carl Target Version 2.11.0 => 2.12.0
2017-04-21 09:52 carl Estimated work required Average => Unknown
2017-09-02 18:20 carl Note Added: 0001801
2018-01-16 21:18 carl Note Added: 0002015
2018-02-01 21:59 carl Assigned To => carl
2018-02-01 21:59 carl Status acknowledged => resolved
2018-02-01 21:59 carl Resolution open => fixed
2018-02-01 21:59 carl Note Added: 0002045